Reset a User password (Random Value)

put

/cloudapi/restapi/user/{userId}/auto-reset-pwd

This operation generates a random string and writes it to the password field for the supplied {userId}. The user is notified when the operation completes successfully. Example request: PUT /cloudapi/restapi/user/c8617ccb81aa481b174bb7b48debc38a/auto-reset-pwd

Request

Path Parameters
  • LoginId of the user for whom the password needs to be automatically reset.
    Example:
    c8617ccb81aa481b174bb7b48debc38a

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

successful operation
Body ()
Root Schema : schema
Type: string

400 Response

Invalid input, Please check.

500 Response

Internal Server Error. Underlying Identity Management System threw an error, Please check the logs.
Back to Top